part of 'offline_bloc.dart';

class OfflineState extends Equatable {
  const OfflineState();

  @override
  List<Object> get props => [];
}

class OfflineInitial extends OfflineState {}

class OfflineModeState extends OfflineState {
  final OfflineProfile offlineProfile;
  final List<OfflineModules> offlineModules;
  const OfflineModeState(
      {required this.offlineModules, required this.offlineProfile});
  @override
  List<Object> get props => [offlineProfile, offlineModules];
}

class OfflineLoadingState extends OfflineState {}

class OfflineErrorState extends OfflineState {
  final String message;
  const OfflineErrorState({required this.message});
}
