part of 'barangay_admin_bloc.dart';

class BarangayAdminEvent extends Equatable {
  const BarangayAdminEvent();

  @override
  List<Object> get props => [];
}

class AddBarangay extends BarangayAdminEvent {
  final int id;
  final int barangayId;
  final String barangayCode;
  final String cityCode;
  final String barangayDescription;

  const AddBarangay({
    required this.id,
    required this.barangayId,
    required this.barangayCode,
    required this.cityCode,
    required this.barangayDescription,
  });

  @override
  List<Object> get props => [
        id,
        barangayId,
        barangayCode,
        cityCode,
        barangayDescription,
      ];
}

class LoadBarangay extends BarangayAdminEvent {
  const LoadBarangay();

  @override
  List<Object> get props => [];
}

class LoadBarangayInMunicipality extends BarangayAdminEvent {
  final String cityCode;
  const LoadBarangayInMunicipality({required this.cityCode});

  @override
  List<Object> get props => [cityCode];
}
