part of 'class_components_admin_bloc.dart';

class ClassComponentsAdminEvent extends Equatable {
  const ClassComponentsAdminEvent();

  @override
  List<Object> get props => [];
}

class AddClassComponents extends ClassComponentsAdminEvent {
  final String componentName;
  final String minBaseUnitvalPercent;
  final String maxBaseUnitvalPercent;
  final String minUnitvalSqrmtr;
  final String maxUnitvalSqrmtr;
  final String minAddBaseunitval;
  final String maxAddBaseunitval;
  final String minDeductBaserate;
  final String maxDeductBaserate;
  final String minLinearMeter;
  final String maxLinearMeter;
  final String minSpacing;
  final String maxSpacing;
  final String roughFinish;
  final String highFinish;
  final int withoutBucc;

  const AddClassComponents({
    required this.componentName,
    required this.minBaseUnitvalPercent,
    required this.maxBaseUnitvalPercent,
    required this.minUnitvalSqrmtr,
    required this.maxUnitvalSqrmtr,
    required this.minAddBaseunitval,
    required this.maxAddBaseunitval,
    required this.minDeductBaserate,
    required this.maxDeductBaserate,
    required this.minLinearMeter,
    required this.maxLinearMeter,
    required this.minSpacing,
    required this.maxSpacing,
    required this.roughFinish,
    required this.highFinish,
    required this.withoutBucc,
  });

  @override
  List<Object> get props => [
        componentName,
        minBaseUnitvalPercent,
        maxBaseUnitvalPercent,
        minUnitvalSqrmtr,
        maxUnitvalSqrmtr,
        minAddBaseunitval,
        maxAddBaseunitval,
        minDeductBaserate,
        maxDeductBaserate,
        minLinearMeter,
        maxLinearMeter,
        minSpacing,
        maxSpacing,
        roughFinish,
        highFinish,
        withoutBucc,
      ];
}

class LoadClassComponents extends ClassComponentsAdminEvent {
  const LoadClassComponents();

  @override
  List<Object> get props => [];
}
