part of 'land_classification_bloc.dart';

class LandClassificationEvent extends Equatable {
  const LandClassificationEvent();

  @override
  List<Object> get props => [];
}

class AddLandClassification extends LandClassificationEvent {
  final int id;
  final String classificationCode;
  final String description;

  const AddLandClassification({
    required this.id,
    required this.classificationCode,
    required this.description,
  });

  @override
  List<Object> get props => [
        id,
        classificationCode,
        description,
      ];
}

class LoadLandClassification extends LandClassificationEvent {
  const LoadLandClassification();

  @override
  List<Object> get props => [];
}
