part of 'memoranda_admin_bloc.dart';

class MemorandaAdminEvent extends Equatable {
  const MemorandaAdminEvent();

  @override
  List<Object> get props => [];
}

class AddMemoranda extends MemorandaAdminEvent {
  final int id;
  final String code;
  final String memoranda;

  const AddMemoranda({
    required this.id,
    required this.code,
    required this.memoranda,
  });

  @override
  List<Object> get props => [
        id,
        code,
        memoranda,
      ];
}

class LoadMemoranda extends MemorandaAdminEvent {
  const LoadMemoranda();

  @override
  List<Object> get props => [];
}
