part of 'municipalities_admin_bloc.dart';

class MunicipalitiesAdminEvent extends Equatable {
  const MunicipalitiesAdminEvent();

  @override
  List<Object> get props => [];
}

class AddMunicipality extends MunicipalitiesAdminEvent {
  final int id;
  final String cityCode;
  final String cityDescription;

  const AddMunicipality({
    required this.id,
    required this.cityCode,
    required this.cityDescription,
  });

  @override
  List<Object> get props => [
        id,
        cityCode,
        cityDescription,
      ];
}

class LoadMunicipalities extends MunicipalitiesAdminEvent {
  const LoadMunicipalities();

  @override
  List<Object> get props => [];
}

class MunicipalitiesSyncToDevice extends MunicipalitiesAdminEvent {
  const MunicipalitiesSyncToDevice();

  @override
  List<Object> get props => [];
}
