part of 'trees_improvements_bloc.dart';

class TreesImprovementsEvent extends Equatable {
  const TreesImprovementsEvent();

  @override
  List<Object> get props => [];
}

class AddTreesImprovements extends TreesImprovementsEvent {
  final int id;
  final String improvement;
  final String pricePerTree;
  final dynamic subclassCode;

  const AddTreesImprovements({
    required this.id,
    required this.improvement,
    required this.pricePerTree,
    required this.subclassCode,
  });

  @override
  List<Object> get props => [
        id,
        improvement,
        pricePerTree,
        subclassCode,
      ];
}

class LoadTreesImprovements extends TreesImprovementsEvent {
  const LoadTreesImprovements();

  @override
  List<Object> get props => [];
}
