part of 'type_of_location_bloc.dart';

class TypeOfLocationEvent extends Equatable {
  const TypeOfLocationEvent();

  @override
  List<Object> get props => [];
}

class AddTypeOfLocation extends TypeOfLocationEvent {
  final int id;
  final String distanceKm;
  final String allRoadTypes;
  final String localTradingCenter;

  const AddTypeOfLocation({
    required this.id,
    required this.distanceKm,
    required this.allRoadTypes,
    required this.localTradingCenter,
  });

  @override
  List<Object> get props => [
        id,
        distanceKm,
        allRoadTypes,
        localTradingCenter,
      ];
}

class LoadTypeOfLocation extends TypeOfLocationEvent {
  const LoadTypeOfLocation();

  @override
  List<Object> get props => [];
}
