part of 'unit_construction_admin_bloc.dart';

class UnitConstructionAdminEvent extends Equatable {
  const UnitConstructionAdminEvent();

  @override
  List<Object> get props => [];
}

class AddUnitConstruct extends UnitConstructionAdminEvent {
  final int id;
  final String bldgType;
  final String building;
  final String unitValue;
  final String genCode;

  const AddUnitConstruct({
    required this.id,
    required this.bldgType,
    required this.building,
    required this.unitValue,
    required this.genCode,
  });

  @override
  List<Object> get props => [id, bldgType, building, unitValue, genCode];
}

class LoadUnitConstruct extends UnitConstructionAdminEvent {
  const LoadUnitConstruct();

  @override
  List<Object> get props => [];
}
