part of 'bldg_assessment_offline_bloc.dart';

class BldgAssessmentOfflineState extends Equatable {
  const BldgAssessmentOfflineState();

  @override
  List<Object> get props => [];
}

class BldgAssessmentOfflineInitial extends BldgAssessmentOfflineState {
  @override
  List<Object> get props => [];
}

class BldgAssessmentOfflineLoaded extends BldgAssessmentOfflineState {
  final List<PropertyAssessment> assessment;

  const BldgAssessmentOfflineLoaded({required this.assessment});
  @override
  List<Object> get props => [assessment];
}

class LoadSpecificBldgAssessmentOffline extends BldgAssessmentOfflineState {
  final PropertyAssessment assessment;

  const LoadSpecificBldgAssessmentOffline({required this.assessment});
  @override
  List<Object> get props => [assessment];
}

class SpecificBldgAssessmentLoaded extends BldgAssessmentOfflineState {
  final PropertyAssessment assessment;

  const SpecificBldgAssessmentLoaded({required this.assessment});
  @override
  List<Object> get props => [assessment];
}
