part of 'general_description_bloc.dart';

class GeneralDescriptionEvent extends Equatable {
  const GeneralDescriptionEvent();

  @override
  List<Object> get props => [];
}

class AddGendesc extends GeneralDescriptionEvent {
  final int id;
  final int bldgapprDetailsId;
  final String assessedById;
  final String assessedByName;
  final String dateCreated;
  final String dateModified;
  final String bldgKind;
  final String strucType;
  final String bldgPermit;
  final String dateIssued;
  final String cct;
  final String certCompletionIssued;
  final String certOccupancyIssued;
  final String dateCompleted;
  final String dateOccupied;
  final String bldgAge;
  final String noStoreys;
  final String area1Stfloor;
  final String area2Ndfloor;
  final String area3Rdfloor;
  final String area4Thfloor;
  final String totalFloorArea;
  final dynamic floorSketch;
  final String actualUse;
  final String unitValue;
  final String genCode;

  const AddGendesc(
      {required this.id,
      required this.bldgapprDetailsId,
      required this.assessedById,
      required this.assessedByName,
      required this.dateCreated,
      required this.dateModified,
      required this.bldgKind,
      required this.strucType,
      required this.bldgPermit,
      required this.dateIssued,
      required this.cct,
      required this.certCompletionIssued,
      required this.certOccupancyIssued,
      required this.dateCompleted,
      required this.dateOccupied,
      required this.bldgAge,
      required this.noStoreys,
      required this.area1Stfloor,
      required this.area2Ndfloor,
      required this.area3Rdfloor,
      required this.area4Thfloor,
      required this.totalFloorArea,
      required this.floorSketch,
      required this.actualUse,
      required this.unitValue,
      required this.genCode});

  @override
  List<Object> get props => [
        id,
        bldgapprDetailsId,
        assessedById,
        assessedByName,
        dateCreated,
        dateModified,
        bldgKind,
        strucType,
        bldgPermit,
        dateIssued,
        cct,
        certCompletionIssued,
        certOccupancyIssued,
        dateCompleted,
        dateOccupied,
        bldgAge,
        noStoreys,
        area1Stfloor,
        area2Ndfloor,
        area3Rdfloor,
        area4Thfloor,
        totalFloorArea,
        floorSketch,
        actualUse,
        unitValue,
        genCode
      ];
}

class FetchSingleGeneralDescription extends GeneralDescriptionEvent {
  final int id;
  const FetchSingleGeneralDescription({required this.id});

  @override
  List<Object> get props => [id];
}

class UpdateGeneralDescription extends GeneralDescriptionEvent {
  final GeneralDesc gendesc;
  final int id;

  UpdateGeneralDescription({required this.id, required this.gendesc});

  @override
  List<Object> get props => [id, gendesc];
}
