part of 'landref_location_bloc.dart';

class LandrefLocationState extends Equatable {
  const LandrefLocationState();

  @override
  List<Object> get props => [];
}

class LandrefInitial extends LandrefLocationState {
  @override
  List<Object> get props => [];
}

class LandrefLoaded extends LandrefLocationState {
  final List<LandRef> landref;

  const LandrefLoaded({required this.landref});
  @override
  List<Object> get props => [landref];
}

class SpecificLandrefLoaded extends LandrefLocationState {
  final LandRef landref;

  const SpecificLandrefLoaded({required this.landref});
  @override
  List<Object> get props => [landref];
}
