part of 'structural_material_offline_bloc.dart';

class StructuralMaterialOfflineState extends Equatable {
  const StructuralMaterialOfflineState();

  @override
  List<Object> get props => [];
}

class StructuralMaterialOfflineInitial extends StructuralMaterialOfflineState {
  @override
  List<Object> get props => [];
}

class StructuralMaterialLoaded extends StructuralMaterialOfflineState {
  final List<StructureMaterials> materials;

  const StructuralMaterialLoaded({required this.materials});
  @override
  List<Object> get props => [materials];
}

class SpecificStructuralMaterialLoaded extends StructuralMaterialOfflineState {
  final StructureMaterials materials;

  const SpecificStructuralMaterialLoaded({required this.materials});
  @override
  List<Object> get props => [materials];
}
