part of 'land_property_owner_bloc.dart';

class LandPropertyOwnerState extends Equatable {
  @override
  List<Object> get props => [];
}

class LandPropertyOwnerInitial extends LandPropertyOwnerState {
  @override
  List<Object> get props => [];
}

class LandPropertyOwnerInfoLoading extends LandPropertyOwnerState {
  @override
  List<Object> get props => [];
}

class LandPropertyOwnerInfoErrorState extends LandPropertyOwnerState {
  String errorMessage;
  LandPropertyOwnerInfoErrorState({required this.errorMessage});
  @override
  List<Object> get props => [errorMessage];
}

class LandPropertyOwnerLoaded extends LandPropertyOwnerState {
  List<LandPropertyOwner> landPropertyOwner;

  LandPropertyOwnerLoaded({required this.landPropertyOwner});
  @override
  List<Object> get props => [landPropertyOwner];
}

class LoadSpecificLandPropertyOwner extends LandPropertyOwnerState {
  LandPropertyOwner landPropertyOwner;

  LoadSpecificLandPropertyOwner({required this.landPropertyOwner});
  @override
  List<Object> get props => [landPropertyOwner];
}
