part of 'land_property_signature_bloc.dart';

class LandPropertySignatureState extends Equatable {
  const LandPropertySignatureState();

  @override
  List<Object> get props => [];
}

class LandPropertySignatureInitial extends LandPropertySignatureState {
  @override
  List<Object> get props => [];
}

class LandPropertySignatureInfoLoading extends LandPropertySignatureState {
  @override
  List<Object> get props => [];
}

class LandPropertySignatureInfoErrorState extends LandPropertySignatureState {
  String errorMessage;
  LandPropertySignatureInfoErrorState({required this.errorMessage});
  @override
  List<Object> get props => [errorMessage];
}

class LandPropertySignatureLoaded extends LandPropertySignatureState {
  List<LandExt> landPropertySignature;

  LandPropertySignatureLoaded({required this.landPropertySignature});
  @override
  List<Object> get props => [landPropertySignature];
}

class LoadSpecificLandPropertySignature extends LandPropertySignatureState {
  LandExt landPropertySignature;

  LoadSpecificLandPropertySignature({required this.landPropertySignature});
  @override
  List<Object> get props => [landPropertySignature];
}
