part of 'additional_items_edit_bloc.dart';

abstract class AdditionalItemsEditEvent extends Equatable {
  const AdditionalItemsEditEvent();

  @override
  List<Object> get props => [];
}

class LoadAdditionalItemsEdit extends AdditionalItemsEditEvent {
  final List<AdditionalItems> items;
  final int? id;

  const LoadAdditionalItemsEdit({required this.items, this.id});

  @override
  List<Object> get props => [items];
}

class AddAdditionalItemsEdit extends AdditionalItemsEditEvent {
  final AdditionalItems items;

  const AddAdditionalItemsEdit({required this.items});

  @override
  List<Object> get props => [items];
}

class ShowAdditionalItemsEdit extends AdditionalItemsEditEvent {}

class DeleteAdditionalItemsEdit extends AdditionalItemsEditEvent {
  final int id;

  const DeleteAdditionalItemsEdit({required this.id});

  @override
  List<Object> get props => [id];
}
