part of 'property_appraisal_edit_bloc.dart';

abstract class PropertyAppraisalEditEvent extends Equatable {
  const PropertyAppraisalEditEvent();

  @override
  List<Object> get props => [];
}

class LoadPropertyAppraisalEdit extends PropertyAppraisalEditEvent {
  final PropertyAppraisalEdit appraisalEdit;
  final int? id;

  const LoadPropertyAppraisalEdit(
      {required this.appraisalEdit, required this.id});

  @override
  List<Object> get props => [appraisalEdit];
}

class UpdatePropertyAppraisalEdit extends PropertyAppraisalEditEvent {
  final PropertyAppraisalEdit? appraisalEdit;
  final int? id;
  const UpdatePropertyAppraisalEdit({this.appraisalEdit, required this.id});

  @override
  List<Object> get props => [appraisalEdit!];
}
