part of 'property_assessment_edit_bloc.dart';

abstract class PropertyAssessmentEditState extends Equatable {
  const PropertyAssessmentEditState();

  @override
  List<Object> get props => [];
}

class PropertyAssessmentEditInitial extends PropertyAssessmentEditState {}

class PropertyAssessmentEditLoading extends PropertyAssessmentEditState {}

class PropertyAssessmentEditLoaded extends PropertyAssessmentEditState {
  PropertyAssessmentEditLoaded(this.assessmentsEdit);
  final PropertyAssessmentEdit assessmentsEdit;

  @override
  List<Object> get props => [assessmentsEdit];
}

class PropertyAssessmentEditErrorState extends PropertyAssessmentEditState {
  PropertyAssessmentEditErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
