part of 'structural_material_bloc.dart';

class StructuralMaterialState extends Equatable {
  const StructuralMaterialState();

  @override
  List<Object> get props => [];
}

class StructuralMaterialInitial extends StructuralMaterialState {}

class StructuralMaterialsLoading extends StructuralMaterialState {}

class StructuralMaterialsLoaded extends StructuralMaterialState {
  const StructuralMaterialsLoaded(this.structure);
  final StructureMaterials structure;

  @override
  List<Object> get props => [structure];
}

class StructuralMaterialsErrorState extends StructuralMaterialState {
  const StructuralMaterialsErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
