part of 'land_ext_edit_bloc.dart';

class LandExtEditState extends Equatable {
  const LandExtEditState();

  @override
  List<Object> get props => [];
}

class LandExtEditInitial extends LandExtEditState {}

class LandExtEditLoading extends LandExtEditState {}

class LandExtEditLoaded extends LandExtEditState {
  LandExtEditLoaded(this.land_ext_edit);
  final LandExt land_ext_edit;

  @override
  List<Object> get props => [land_ext_edit];
}

class LandExtEditErrorState extends LandExtEditState {
  LandExtEditErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
