part of 'land_property_assessment_bloc.dart';

class LandPropertyAssessmentState extends Equatable {
  const LandPropertyAssessmentState();

  @override
  List<Object> get props => [];
}

class LandPropertyAssessmentLoading extends LandPropertyAssessmentState {}

class LandPropertyAssessmentLoaded extends LandPropertyAssessmentState {
  const LandPropertyAssessmentLoaded(this.assessment);
  final List<LandPropertyAssessment> assessment;

  @override
  List<Object> get props => [assessment];
}

class ShowAddLandPropertyAssessmentScreen extends LandPropertyAssessmentState {}

class LandPropertyAssessmentErrorState extends LandPropertyAssessmentState {
  const LandPropertyAssessmentErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}

class LandPropertyAssessmentDeletedState extends LandPropertyAssessmentState {
  final bool success;
  const LandPropertyAssessmentDeletedState({required this.success});
  @override
  List<Object> get props => [success];
}
