part of 'land_value_adjustments_bloc.dart';

class LandValueAdjustmentsState extends Equatable {
  const LandValueAdjustmentsState();

  @override
  List<Object> get props => [];
}

class LandValueAdjustmentsLoading extends LandValueAdjustmentsState {}

class LandValueAdjustmentsLoaded extends LandValueAdjustmentsState {
  const LandValueAdjustmentsLoaded(this.val_adj);
  final List<ValueAdjustments> val_adj;

  @override
  List<Object> get props => [val_adj];
}

class ShowAddLandValueAdjustmentsScreen extends LandValueAdjustmentsState {}

class LandValueAdjustmentsErrorState extends LandValueAdjustmentsState {
  const LandValueAdjustmentsErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}

class LandValueAdjustmentsDeletedState extends LandValueAdjustmentsState {
  final bool success;
  const LandValueAdjustmentsDeletedState({required this.success});
  @override
  List<Object> get props => [success];
}
