part of 'other_improvements_bloc.dart';

class OtherImprovementsState extends Equatable {
  const OtherImprovementsState();

  @override
  List<Object> get props => [];
}

class OtherImprovementLoading extends OtherImprovementsState {}

class OtherImprovementLoaded extends OtherImprovementsState {
  const OtherImprovementLoaded(this.other_imp);
  final List<OtherImprovements> other_imp;

  @override
  List<Object> get props => [other_imp];
}

class ShowAddOtherImprovementScreen extends OtherImprovementsState {}

class OtherImprovementErrorState extends OtherImprovementsState {
  const OtherImprovementErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}

class OtherImprovementDeletedState extends OtherImprovementsState {
  final bool success;
  const OtherImprovementDeletedState({required this.success});
  @override
  List<Object> get props => [success];
}
