part of 'signatories_bloc.dart';

abstract class SignatoriesState extends Equatable {
  const SignatoriesState();

  @override
  List<Object> get props => [];
}

class SignatoriesInitial extends SignatoriesState {}

class SignatoriesLoading extends SignatoriesState {}

class SignatoriesLoaded extends SignatoriesState {
  SignatoriesLoaded(this.signatories);
  final List<Signatories> signatories;

  @override
  List<Object> get props => [signatories];
}

class SignatoriesErrorState extends SignatoriesState {
  SignatoriesErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
