part of 'est_point_person_assinable_role_bloc.dart';

abstract class EstPointPersonAssinableRoleEvent extends Equatable {
  const EstPointPersonAssinableRoleEvent();

  @override
  List<Object> get props => [];
}

class GetEstPointPersonAssignableRoles
    extends EstPointPersonAssinableRoleEvent {
  final int roleId;
  const GetEstPointPersonAssignableRoles({required this.roleId});
}

class AddEstPointPersonAssignableRoles
    extends EstPointPersonAssinableRoleEvent {
  final int mainRoleId;
  final List<int> rolesUnder;
  const AddEstPointPersonAssignableRoles(
      {required this.mainRoleId, required this.rolesUnder});
}

class DeleteEstPointPersonAssignableRoles
    extends EstPointPersonAssinableRoleEvent {
  final int roleId;
  const DeleteEstPointPersonAssignableRoles({required this.roleId});
}
