part of 'est_point_person_assinable_role_bloc.dart';

abstract class EstPointPersonAssinableRoleState extends Equatable {
  const EstPointPersonAssinableRoleState();

  @override
  List<Object> get props => [];
}

class EstPointPersonAssignableRoleLoadingState
    extends EstPointPersonAssinableRoleState {}

class EstPointPersonAssignableErrorState
    extends EstPointPersonAssinableRoleState {
  final String message;
  const EstPointPersonAssignableErrorState({required this.message});
}

class EstPointPersonAssginableRoleAssignState
    extends EstPointPersonAssinableRoleState {
  final Map<dynamic, dynamic> responseStatus;
  const EstPointPersonAssginableRoleAssignState({required this.responseStatus});
}

class EstPointPersonAssinableRoleInitial
    extends EstPointPersonAssinableRoleState {}

class EstPointPersonAssignableRoleLoaded
    extends EstPointPersonAssinableRoleState {
  final List<RBAC> roles;
  final List<RBAC> rolesUnder;
  final RBAC mainRole;
  const EstPointPersonAssignableRoleLoaded({required this.roles, required this.rolesUnder, required this.mainRole});
}
class EstPointPersonAssignableDeletedState extends EstPointPersonAssinableRoleState {
  final bool success;
  const EstPointPersonAssignableDeletedState({required this.success});
}
