// To parse this JSON data, do
//
//     final landAppr = landApprFromJson(jsonString);

import 'dart:convert';

LandAppr landApprFromJson(String str) => LandAppr.fromJson(json.decode(str));

String landApprToJson(LandAppr data) => json.encode(data.toJson());

class LandAppr {
  final int? id;
  final int? landapprDetailsId;
  final String? classification;
  final String? subClass;
  final String? area;
  final String? unitValue;
  final String? baseMarketval;

  LandAppr({
    this.id,
    this.landapprDetailsId,
    this.classification,
    this.subClass,
    this.area,
    this.unitValue,
    this.baseMarketval,
  });

  LandAppr copy({
    int? id,
    int? landapprDetailsId,
    String? classification,
    String? subClass,
    String? area,
    String? unitValue,
    String? baseMarketval,
  }) {
    return LandAppr(
      id: id ?? this.id,
      landapprDetailsId: landapprDetailsId ?? this.landapprDetailsId,
      classification: classification ?? this.classification,
      subClass: subClass ?? this.subClass,
      area: area ?? this.area,
      unitValue: unitValue ?? this.unitValue,
      baseMarketval: baseMarketval ?? this.baseMarketval,
    );
  }

  factory LandAppr.fromJson(Map<String, dynamic> json) => LandAppr(
        id: json["id"],
        landapprDetailsId: json["landappr_details_id"],
        classification: json["classification"],
        subClass: json["sub_class"],
        area: json["area"],
        unitValue: json["unit_value"],
        baseMarketval: json["base_marketval"],
      );

  factory LandAppr.fromJson2(Map<String, dynamic> json) => LandAppr(
        id: json["id"],
        landapprDetailsId: json["landapprDetailsId"],
        classification: json["classification"],
        subClass: json["subClass"],
        area: json["area"],
        unitValue: json["unitValue"],
        baseMarketval: json["baseMarketval"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "landappr_details_id": landapprDetailsId,
        "classification": classification,
        "sub_class": subClass,
        "area": area,
        "unit_value": unitValue,
        "base_marketval": baseMarketval,
      };
}
