// To parse this JSON data, do
//
//     final signatories = signatoriesFromJson(jsonString);

import 'dart:convert';

Signatories signatoriesFromJson(String str) =>
    Signatories.fromJson(json.decode(str));

String signatoriesToJson(Signatories data) => json.encode(data.toJson());

class Signatories {
  final int? id;
  final int signatoryId;
  final String firstname;
  final String middlename;
  final String lastname;
  final String designation;
  // final String status;
  // final String genCode;

  Signatories({
    this.id,
    required this.signatoryId,
    required this.firstname,
    required this.middlename,
    required this.lastname,
    required this.designation,
    // required this.status
    // required this.genCode,
  });

  Signatories copy({
    int? id,
    int? signatoryId,
    String? firstname,
    String? middlename,
    String? lastname,
    String? designation,
    // String? status
    // String? genCode
  }) {
    return Signatories(
      id: id ?? this.id,
      signatoryId: signatoryId ?? this.signatoryId,
      firstname: firstname ?? this.firstname,
      middlename: middlename ?? this.middlename,
      lastname: lastname ?? this.lastname,
      designation: designation ?? this.designation,
      // status: status ?? this.status
      // genCode: genCode ?? this.genCode
    );
  }

  factory Signatories.fromJson(Map<String, dynamic> json) => Signatories(
        id: json["id"],
        signatoryId: json["signatory_id"],
        firstname: json["firstname"],
        middlename: json["middlename"],
        lastname: json["lastname"],
        designation: json["designation"],
        // status: json["status"]
        // genCode: json["gen_code"],
      );

  factory Signatories.fromJson2(Map<String, dynamic> json) => Signatories(
        id: json["id"],
        signatoryId: json["signatoryId"],
        firstname: json["firstname"],
        middlename: json["middlename"],
        lastname: json["lastname"],
        designation: json["designation"],
        // status: json["status"]
        // genCode: json["gen_code"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "signatory_id": signatoryId,
        "firstname": firstname,
        "middlename": middlename,
        "lastname": lastname,
        "designation": designation,
        // "status": status
        // "gen_code": genCode
      };
}
