import 'package:sqflite/sqflite.dart' as sql;

class SQLHeper {
  static Future<void> createTables(sql.Database database) async {
    await database.execute("""CREATE TABLE property_info (
      id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
      assessed_by_id TEXT,
      assessed_by_name TEXT,
      date_created TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
      date_modified TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
      trans_code TEXT,
      tdn TEXT,
      pin TEXT,
      owner TEXT,
      address TEXT,
      telno TEXT,
      tin TEXT,
      admin_user TEXT,
      admin_address TEXT,
      admin_telno TEXT,
      admin_tin TEXT,
      faas_type TEXT   
    )
    """);
  }
}
