part of 'signatories_admin_bloc.dart';

class SignatoriesAdminEvent extends Equatable {
  const SignatoriesAdminEvent();

  @override
  List<Object> get props => [];
}

class AddSignatories extends SignatoriesAdminEvent {
  final int id;
  final int signatoryId;
  final String firstname;
  final String middlename;
  final String lastname;
  final String genCode;
  final String designation;
  // final String status;

  const AddSignatories({
    required this.id,
    required this.signatoryId,
    required this.firstname,
    required this.middlename,
    required this.lastname,
    required this.genCode,
    required this.designation,
    // required this.status
  });

  @override
  List<Object> get props => [
        id,
        signatoryId,
        firstname,
        middlename,
        lastname,
        genCode,
        designation,
        // status
      ];
}

class LoadSignatories extends SignatoriesAdminEvent {
  const LoadSignatories();

  @override
  List<Object> get props => [];
}
