part of 'value_adjustments_bloc.dart';

class ValueAdjustmentsEvent extends Equatable {
  const ValueAdjustmentsEvent();

  @override
  List<Object> get props => [];
}

class AddValueAdjustments extends ValueAdjustmentsEvent {
  final int id;
  final int landapprDetailsId;
  final String baseMarketval;
  final String adjustmentFactors;
  final String adjustment;
  final String valueAdjustment;
  final String marketValue;

  const AddValueAdjustments({
    required this.id,
    required this.landapprDetailsId,
    required this.baseMarketval,
    required this.adjustmentFactors,
    required this.adjustment,
    required this.valueAdjustment,
    required this.marketValue,
  });

  @override
  List<Object> get props => [
        id,
        landapprDetailsId,
        baseMarketval,
        adjustmentFactors,
        adjustment,
        valueAdjustment,
        marketValue,
      ];
}

class LoadValueAdjustments extends ValueAdjustmentsEvent {
  const LoadValueAdjustments();

  @override
  List<Object> get props => [];
}
