part of 'bldg_appraisal_offline_bloc.dart';

class BldgAppraisalOfflineState extends Equatable {
  const BldgAppraisalOfflineState();

  @override
  List<Object> get props => [];
}

class BldgAppraisalOfflineInitial extends BldgAppraisalOfflineState {
  @override
  List<Object> get props => [];
}

class BldgAppraisalOfflineLoaded extends BldgAppraisalOfflineState {
  final List<PropertyAppraisal> appraisal;

  const BldgAppraisalOfflineLoaded({required this.appraisal});
  @override
  List<Object> get props => [appraisal];
}

class LoadSpecificBldgAppraisalOffline extends BldgAppraisalOfflineState {
  final PropertyAppraisal appraisal;

  const LoadSpecificBldgAppraisalOffline({required this.appraisal});
  @override
  List<Object> get props => [appraisal];
}

class SpecificBldgAppraisalLoaded extends BldgAppraisalOfflineState {
  final PropertyAppraisal appraisal;

  const SpecificBldgAppraisalLoaded({required this.appraisal});
  @override
  List<Object> get props => [appraisal];
}
