part of 'additional_items_edit_bloc.dart';

abstract class AdditionalItemsEditState extends Equatable {
  const AdditionalItemsEditState();

  @override
  List<Object> get props => [];
}

class AdditionalItemsEditInitial extends AdditionalItemsEditState {}

class AdditionalItemsEditLoading extends AdditionalItemsEditState {}

class AdditionalItemsEditLoaded extends AdditionalItemsEditState {
  const AdditionalItemsEditLoaded(this.items);
  final List<AdditionalItems> items;

  @override
  List<Object> get props => [items];
}

class AdditionalItemsEditErrorState extends AdditionalItemsEditState {
  const AdditionalItemsEditErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}

class ShowAddItemsScreenEdit extends AdditionalItemsEditState {}

class AdditionalItemsEditDeletedState extends AdditionalItemsEditState {
  final bool success;
  const AdditionalItemsEditDeletedState({required this.success});
  @override
  List<Object> get props => [success];
}
