part of 'class_components_bloc.dart';

abstract class ClassComponentsState extends Equatable {
  const ClassComponentsState();

  @override
  List<Object> get props => [];
}

class ClassComponentLoading extends ClassComponentsState {}

class ClassComponentLoaded extends ClassComponentsState {
  ClassComponentLoaded(this.classes);
  final List<ClassComponents> classes;

  @override
  List<Object> get props => [classes];
}

class ClassComponentErrorState extends ClassComponentsState {
  ClassComponentErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
