part of 'property_appraisal_bloc.dart';

abstract class PropertyAppraisalEvent extends Equatable {
  const PropertyAppraisalEvent();

  @override
  List<Object> get props => [];
}

class LoadPropertyAppraisal extends PropertyAppraisalEvent {
  final PropertyAppraisal appraisal;

  const LoadPropertyAppraisal({required this.appraisal});

  @override
  List<Object> get props => [appraisal];
}

class AddPropertyAppraisal extends PropertyAppraisalEvent {
  final PropertyAppraisal appraisal;

  const AddPropertyAppraisal({required this.appraisal});

  @override
  List<Object> get props => [appraisal];
}
