part of 'property_appraisal_edit_bloc.dart';

abstract class PropertyAppraisalEditState extends Equatable {
  const PropertyAppraisalEditState();

  @override
  List<Object> get props => [];
}

class PropertyAppraisalEditLoading extends PropertyAppraisalEditState {}

class PropertyAppraisalEditLoaded extends PropertyAppraisalEditState {
  PropertyAppraisalEditLoaded(this.appraisalEdit);
  final PropertyAppraisalEdit appraisalEdit;

  @override
  List<Object> get props => [appraisalEdit];
}

class PropertyAppraisalEditErrorState extends PropertyAppraisalEditState {
  PropertyAppraisalEditErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
