part of 'property_assessment_bloc.dart';

abstract class PropertyAssessmentState extends Equatable {
  const PropertyAssessmentState();

  @override
  List<Object> get props => [];
}

class PropertyAssessmentInitial extends PropertyAssessmentState {}

class PropertyAssessmentLoading extends PropertyAssessmentState {}

class PropertyAssessmentLoaded extends PropertyAssessmentState {
  PropertyAssessmentLoaded(this.assessments);
  final List<PropertyAssessment> assessments;

  @override
  List<Object> get props => [assessments];
}

class PropertyAssessmentErrorState extends PropertyAssessmentState {
  PropertyAssessmentErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
