part of 'property_assessment_edit_bloc.dart';

abstract class PropertyAssessmentEditEvent extends Equatable {
  const PropertyAssessmentEditEvent();

  @override
  List<Object> get props => [];
}

class LoadPropertyAssessmentEdit extends PropertyAssessmentEditEvent {
  final PropertyAssessmentEdit assessmentsEdit;
  final int? id;

  const LoadPropertyAssessmentEdit(
      {required this.assessmentsEdit, required this.id});

  @override
  List<Object> get props => [assessmentsEdit];
}

class AddPropertyAssessmentEdit extends PropertyAssessmentEditEvent {
  final PropertyAssessmentEdit assessmentsEdit;

  const AddPropertyAssessmentEdit({required this.assessmentsEdit});

  @override
  List<Object> get props => [assessmentsEdit];
}

class UpdatePropertyAssessmentEdit extends PropertyAssessmentEditEvent {
  // ignore: non_constant_identifier_names
  final PropertyAssessmentEdit assessmentsEdit;

  // ignore: non_constant_identifier_names
  const UpdatePropertyAssessmentEdit({required this.assessmentsEdit});

  @override
  List<Object> get props => [assessmentsEdit];
}
