part of 'land_appraisal_bloc.dart';

class LandAppraisalState extends Equatable {
  const LandAppraisalState();

  @override
  List<Object> get props => [];
}

class LandAppraisalLoading extends LandAppraisalState {}

class LandAppraisalLoaded extends LandAppraisalState {
  const LandAppraisalLoaded(this.land_appr);
  final List<LandAppr> land_appr;

  @override
  List<Object> get props => [land_appr];
}

class ShowAddLandAppraisalScreen extends LandAppraisalState {}

class LandAppraisalErrorState extends LandAppraisalState {
  const LandAppraisalErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}

class LandAppraisalDeletedState extends LandAppraisalState {
  final bool success;
  const LandAppraisalDeletedState({required this.success});
  @override
  List<Object> get props => [success];
}
