part of 'land_boundaries_edit_bloc.dart';

class LandBoundariesEditEvent extends Equatable {
  const LandBoundariesEditEvent();

  @override
  List<Object> get props => [];
}

class LoadLandBoundariesEdit extends LandBoundariesEditEvent {
  final LandPropertyBoundaries land_boundaries_edit;
  final int? id;

  const LoadLandBoundariesEdit(
      {required this.land_boundaries_edit, required this.id});

  @override
  List<Object> get props => [land_boundaries_edit];
}

class AddLandBoundariesEdit extends LandBoundariesEditEvent {
  final LandPropertyBoundaries land_boundaries_edit;

  const AddLandBoundariesEdit({required this.land_boundaries_edit});

  @override
  List<Object> get props => [land_boundaries_edit];
}

class UpdateLandBoundariesEdit extends LandBoundariesEditEvent {
  // ignore: non_constant_identifier_names
  final LandPropertyBoundaries land_boundaries_edit;
  final int id;

  // ignore: non_constant_identifier_names
  const UpdateLandBoundariesEdit(
      {required this.land_boundaries_edit, required this.id});

  @override
  List<Object> get props => [land_boundaries_edit];
}
