part of 'land_boundaries_edit_bloc.dart';

class LandBoundariesEditState extends Equatable {
  const LandBoundariesEditState();

  @override
  List<Object> get props => [];
}

class LandBoundariesEditInitial extends LandBoundariesEditState {}

class LandBoundariesEditLoading extends LandBoundariesEditState {}

class LandBoundariesEditLoaded extends LandBoundariesEditState {
  LandBoundariesEditLoaded(this.land_boundaries_edit);
  final LandPropertyBoundaries land_boundaries_edit;

  @override
  List<Object> get props => [land_boundaries_edit];
}

class LandBoundariesEditErrorState extends LandBoundariesEditState {
  LandBoundariesEditErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
