part of 'land_ext_edit_bloc.dart';

class LandExtEditEvent extends Equatable {
  const LandExtEditEvent();

  @override
  List<Object> get props => [];
}

class LoadLandExtEdit extends LandExtEditEvent {
  final LandExt land_ext_edit;
  final int? id;

  const LoadLandExtEdit({required this.land_ext_edit, required this.id});

  @override
  List<Object> get props => [land_ext_edit];
}

class AddLandExtEdit extends LandExtEditEvent {
  final LandExt land_ext_edit;

  const AddLandExtEdit({required this.land_ext_edit});

  @override
  List<Object> get props => [land_ext_edit];
}

class UpdateLandExtEdit extends LandExtEditEvent {
  // ignore: non_constant_identifier_names
  final LandExt land_ext_edit;
  final int id;

  // ignore: non_constant_identifier_names
  const UpdateLandExtEdit({required this.land_ext_edit, required this.id});

  @override
  List<Object> get props => [land_ext_edit];
}
