part of 'land_location_edit_bloc.dart';

class LandLocationEditEvent extends Equatable {
  const LandLocationEditEvent();

  @override
  List<Object> get props => [];
}

class LoadLandLocationEdit extends LandLocationEditEvent {
  final LandPropertyLoc land_loc_edit;
  final int? id;

  const LoadLandLocationEdit({required this.land_loc_edit, required this.id});

  @override
  List<Object> get props => [land_loc_edit];
}

class AddLandLocationEdit extends LandLocationEditEvent {
  final LandPropertyLoc land_loc_edit;

  const AddLandLocationEdit({required this.land_loc_edit});

  @override
  List<Object> get props => [land_loc_edit];
}

class UpdateLandLocationEdit extends LandLocationEditEvent {
  // ignore: non_constant_identifier_names
  final LandPropertyLoc land_loc_edit;
  final int id;

  // ignore: non_constant_identifier_names
  const UpdateLandLocationEdit({required this.land_loc_edit, required this.id});

  @override
  List<Object> get props => [land_loc_edit];
}
