part of 'land_location_edit_bloc.dart';

class LandLocationEditState extends Equatable {
  const LandLocationEditState();

  @override
  List<Object> get props => [];
}

class LandLocationEditInitial extends LandLocationEditState {}

class LandLocationEditLoading extends LandLocationEditState {}

class LandLocationEditLoaded extends LandLocationEditState {
  LandLocationEditLoaded(this.land_loc_edit);
  final LandPropertyLoc land_loc_edit;

  @override
  List<Object> get props => [land_loc_edit];
}

class LandLocationEditErrorState extends LandLocationEditState {
  LandLocationEditErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
