part of 'land_property_owner_info_bloc.dart';

class LandPropertyOwnerInfoState extends Equatable {
  const LandPropertyOwnerInfoState();

  @override
  List<Object> get props => [];
}

class LandLoading extends LandPropertyOwnerInfoState {}

class LandLoaded extends LandPropertyOwnerInfoState {
  const LandLoaded(this.land);
  final List<LandPropertyOwner> land;

  @override
  List<Object> get props => [land];
}

class LandErrorState extends LandPropertyOwnerInfoState {
  const LandErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}

class LandFaasDeletedState extends LandPropertyOwnerInfoState {
  final bool success;
  const LandFaasDeletedState({required this.success});
  @override
  List<Object> get props => [success];
}

class ShowLandLocErrorAlertState extends LandPropertyOwnerInfoState {}

class ShowLandBoundariesErrorAlertState extends LandPropertyOwnerInfoState {}

class ShowLandLocSuccessAlertState extends LandPropertyOwnerInfoState {}

class ShowLandBoundariesSuccessState extends LandPropertyOwnerInfoState {}
