part of 'land_subclassification_bloc.dart';

class LandSubClassificationState extends Equatable {
  const LandSubClassificationState();

  @override
  List<Object> get props => [];
}

class LandSubClassificationLoading extends LandSubClassificationState {}

class LandSubClassificationLoaded extends LandSubClassificationState {
  LandSubClassificationLoaded(this.land_subclassification);
  final List<LandSubClassification> land_subclassification;

  @override
  List<Object> get props => [land_subclassification];
}

class LandSubClassificationErrorState extends LandSubClassificationState {
  LandSubClassificationErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
