part of 'land_trees_improvements_bloc.dart';

class LandTreesImprovementsState extends Equatable {
  const LandTreesImprovementsState();

  @override
  List<Object> get props => [];
}

class LandTreesImprovementsInitial extends LandTreesImprovementsState {}

class LandTreesImprovementsLoading extends LandTreesImprovementsState {}

class LandTreesImprovementsLoaded extends LandTreesImprovementsState {
  LandTreesImprovementsLoaded(this.trees_imp);
  final List<TreesImprovements> trees_imp;

  @override
  List<Object> get props => [trees_imp];
}

class LandTreesImprovementsErrorState extends LandTreesImprovementsState {
  LandTreesImprovementsErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
