part of 'land_value_adjustments_bloc.dart';

class LandValueAdjustmentsEvent extends Equatable {
  const LandValueAdjustmentsEvent();

  @override
  List<Object> get props => [];
}

class LoadLandValueAdjustments extends LandValueAdjustmentsEvent {
  final List<ValueAdjustments> val_adj;

  const LoadLandValueAdjustments({this.val_adj = const <ValueAdjustments>[]});

  @override
  List<Object> get props => [val_adj];
}

class LoadLandValueAdjustmentsEdit extends LandValueAdjustmentsEvent {
  final List<ValueAdjustments> val_adj;
  final int id;

  const LoadLandValueAdjustmentsEdit({required this.val_adj, required this.id});

  @override
  List<Object> get props => [val_adj];
}

class AddLandValueAdjustments extends LandValueAdjustmentsEvent {
  final ValueAdjustments val_adj;

  const AddLandValueAdjustments({required this.val_adj});

  @override
  List<Object> get props => [val_adj];
}

class DeleteLandValueAdjustments extends LandValueAdjustmentsEvent {
  final int id;

  const DeleteLandValueAdjustments({required this.id});

  @override
  List<Object> get props => [id];
}

class ShowLandValueAdjustments extends LandValueAdjustmentsEvent {}
