part of 'other_improvements_bloc.dart';

class OtherImprovementsEvent extends Equatable {
  const OtherImprovementsEvent();

  @override
  List<Object> get props => [];
}

class LoadOtherImprovement extends OtherImprovementsEvent {
  final List<OtherImprovements> other_imp;

  const LoadOtherImprovement({this.other_imp = const <OtherImprovements>[]});

  @override
  List<Object> get props => [other_imp];
}

class LoadOtherImprovementEdit extends OtherImprovementsEvent {
  final List<OtherImprovements> other_imps;
  final int ids;

  const LoadOtherImprovementEdit({required this.other_imps, required this.ids});

  @override
  List<Object> get props => [other_imps];
}

class AddOtherImprovement extends OtherImprovementsEvent {
  final OtherImprovements other_imp;

  const AddOtherImprovement({required this.other_imp});

  @override
  List<Object> get props => [other_imp];
}

class DeleteOtherImprovement extends OtherImprovementsEvent {
  final int id;

  const DeleteOtherImprovement({required this.id});

  @override
  List<Object> get props => [id];
}

class ShowOtherImprovement extends OtherImprovementsEvent {}
