part of 'type_of_location_bloc.dart';

class TypeOfLocationState extends Equatable {
  const TypeOfLocationState();

  @override
  List<Object> get props => [];
}

class TypeOfLocationInitial extends TypeOfLocationState {}

class TypeOfLocationLoading extends TypeOfLocationState {}

class TypeOfLocationLoaded extends TypeOfLocationState {
  TypeOfLocationLoaded(this.loc_type);
  final List<TypeOfLocation> loc_type;

  @override
  List<Object> get props => [loc_type];
}

class TypeOfLocationErrorState extends TypeOfLocationState {
  TypeOfLocationErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
