part of 'municipality_bloc.dart';

class MunicipalityState extends Equatable {
  const MunicipalityState();

  @override
  List<Object> get props => [];
}

class MunicipalityInitial extends MunicipalityState {}

class MunicipalityLoading extends MunicipalityState {}

class MunicipalityLoaded extends MunicipalityState {
  MunicipalityLoaded(this.municipality);
  final List<City> municipality;

  @override
  List<Object> get props => [municipality];
}

class MunicipalityErrorState extends MunicipalityState {
  MunicipalityErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
