part of 'est_role_assignment_bloc.dart';

abstract class EstRoleAssignmentState extends Equatable {
  const EstRoleAssignmentState();
  
  @override
  List<Object> get props => [];
}

class EstPointPersonRolesUnderLoadedState extends EstRoleAssignmentState{
  final List<RolesUnder> rolesUnders;
  final List<AssignedRole> assignedRoles;
  final List<RBAC> assignableRole;
  const EstPointPersonRolesUnderLoadedState({required this.assignedRoles, required this.rolesUnders, required this.assignableRole});
}

class EstPointPersonRolesUnderErrorState extends EstRoleAssignmentState{
  final String message;
  const EstPointPersonRolesUnderErrorState({required this.message});
}

class EstPointPersonRoleLoadingState extends EstRoleAssignmentState{

}
class EstPointPersonRoleUnderAddedState extends EstRoleAssignmentState{
  final Map<dynamic,dynamic> response;
  const EstPointPersonRoleUnderAddedState({required this.response});
}

class EstPointPersonDeletedState extends EstRoleAssignmentState {
  final bool success;
  const EstPointPersonDeletedState({required this.success});
}


class EstRoleAssignmentInitial extends EstRoleAssignmentState {}
