// To parse this JSON data, do
//
//     final landExt = landExtFromJson(jsonString);

import 'dart:convert';

LandExt landExtFromJson(String str) => LandExt.fromJson(json.decode(str));

String landExtToJson(LandExt data) => json.encode(data.toJson());

class LandExt {
  final int? id;
  final int? landapprDetailsId;
  final String? assessedById;
  final String? assessedByName;
  final String? dateCreated;
  final String? dateModified;
  final String? taxable;
  final String? exempt;
  final String? qtr;
  final String? yr;
  final String? appraisedbyName;
  final String? appraisedbyDate;
  final String? recommendapprName;
  final String? recommendapprDate;
  final String? approvedbyName;
  final String? approvedbyDate;
  final String? memoranda;
  final String? swornstatementNo;
  final String? dateReceived;
  final String? entryDateAssessment;
  final String? entryDateBy;
  final String? appraisedbyDesignation;
  final String? recommendapprDesignation;
  final String? approvedbyDesignation;

  LandExt({
    this.id,
    this.landapprDetailsId,
    this.assessedById,
    this.assessedByName,
    this.dateCreated,
    this.dateModified,
    this.taxable,
    this.exempt,
    this.qtr,
    this.yr,
    this.appraisedbyName,
    this.appraisedbyDate,
    this.recommendapprName,
    this.recommendapprDate,
    this.approvedbyName,
    this.approvedbyDate,
    this.memoranda,
    this.swornstatementNo,
    this.dateReceived,
    this.entryDateAssessment,
    this.entryDateBy,
    this.appraisedbyDesignation,
    this.recommendapprDesignation,
    this.approvedbyDesignation,
  });

  LandExt copy({
    final int? id,
    final int? landapprDetailsId,
    final String? assessedById,
    final String? assessedByName,
    final String? dateCreated,
    final String? dateModified,
    final String? taxable,
    final String? exempt,
    final String? qtr,
    final String? yr,
    final String? appraisedbyName,
    final String? appraisedbyDate,
    final String? recommendapprName,
    final String? recommendapprDate,
    final String? approvedbyName,
    final String? approvedbyDate,
    final String? memoranda,
    final String? swornstatementNo,
    final String? dateReceived,
    final String? entryDateAssessment,
    final String? entryDateBy,
    final String? appraisedbyDesignation,
    final String? recommendapprDesignation,
    final String? approvedbyDesignation,
  }) {
    return LandExt(
      id: id ?? this.id,
      landapprDetailsId: landapprDetailsId ?? this.landapprDetailsId,
      assessedById: assessedById ?? this.assessedById,
      assessedByName: assessedByName ?? this.assessedByName,
      dateCreated: dateCreated ?? this.dateCreated,
      dateModified: dateModified ?? this.dateModified,
      taxable: taxable ?? this.taxable,
      exempt: exempt ?? this.exempt,
      qtr: qtr ?? this.qtr,
      yr: yr ?? this.yr,
      appraisedbyName: appraisedbyName ?? this.appraisedbyName,
      appraisedbyDate: appraisedbyDate ?? this.appraisedbyDate,
      recommendapprName: recommendapprName ?? this.recommendapprName,
      recommendapprDate: recommendapprDate ?? this.recommendapprDate,
      approvedbyName: approvedbyName ?? this.approvedbyName,
      approvedbyDate: approvedbyDate ?? this.approvedbyDate,
      memoranda: memoranda ?? this.memoranda,
      swornstatementNo: swornstatementNo ?? this.swornstatementNo,
      dateReceived: dateReceived ?? this.dateReceived,
      entryDateAssessment: entryDateAssessment ?? this.entryDateAssessment,
      entryDateBy: entryDateBy ?? this.entryDateBy,
      appraisedbyDesignation:
          appraisedbyDesignation ?? this.appraisedbyDesignation,
      recommendapprDesignation:
          recommendapprDesignation ?? this.recommendapprDesignation,
      approvedbyDesignation:
          approvedbyDesignation ?? this.approvedbyDesignation,
    );
  }

  factory LandExt.fromJson(Map<String, dynamic> json) => LandExt(
        id: json["id"],
        landapprDetailsId: json["landappr_details_id"],
        assessedById: json["assessed_by_id"],
        assessedByName: json["assessed_by_name"],
        dateCreated: json["date_created"],
        dateModified: json["date_modified"],
        taxable: json["taxable"],
        exempt: json["exempt"],
        qtr: json["qtr"],
        yr: json["yr"],
        appraisedbyName: json["appraisedby_name"],
        appraisedbyDate: json["appraisedby_date"],
        recommendapprName: json["recommendappr_name"],
        recommendapprDate: json["recommendappr_date"],
        approvedbyName: json["approvedby_name"],
        approvedbyDate: json["approvedby_date"],
        memoranda: json["memoranda"],
        swornstatementNo: json["swornstatement_no"],
        dateReceived: json["date_received"],
        entryDateAssessment: json["entry_date_assessment"],
        entryDateBy: json["entry_date_by"],
        appraisedbyDesignation: json["appraisedby_designation"],
        recommendapprDesignation: json["recommendappr_designation"],
        approvedbyDesignation: json["approvedby_designation"],
      );

  factory LandExt.fromJson2(Map<String, dynamic> json) => LandExt(
        id: json["id"],
        landapprDetailsId: json["landapprDetailsId"],
        assessedById: json["assessedById"],
        assessedByName: json["assessedByName"],
        dateCreated: json["dateCreated"],
        dateModified: json["dateModified"],
        taxable: json["taxable"],
        exempt: json["exempt"],
        qtr: json["qtr"],
        yr: json["yr"],
        appraisedbyName: json["appraisedbyName"],
        appraisedbyDate: json["appraisedbyDate"],
        recommendapprName: json["recommendapprName"],
        recommendapprDate: json["recommendapprDate"],
        approvedbyName: json["approvedbyName"],
        approvedbyDate: json["approvedbyDate"],
        memoranda: json["memoranda"],
        swornstatementNo: json["swornstatementNo"],
        dateReceived: json["dateReceived"],
        entryDateAssessment: json["entryDateAssessment"],
        entryDateBy: json["entryDateBy"],
        appraisedbyDesignation: json["appraisedby_designation"],
        recommendapprDesignation: json["recommendappr_designation"],
        approvedbyDesignation: json["approvedby_designation"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "landappr_details_id": landapprDetailsId,
        "assessed_by_id": assessedById,
        "assessed_by_name": assessedByName,
        "date_created": dateCreated,
        "date_modified": dateModified,
        "taxable": taxable,
        "exempt": exempt,
        "qtr": qtr,
        "yr": yr,
        "appraisedby_name": appraisedbyName,
        "appraisedby_date": appraisedbyDate,
        "recommendappr_name": recommendapprName,
        "recommendappr_date": recommendapprDate,
        "approvedby_name": approvedbyName,
        "approvedby_date": approvedbyDate,
        "memoranda": memoranda,
        "swornstatement_no": swornstatementNo,
        "date_received": dateReceived,
        "entry_date_assessment": entryDateAssessment,
        "entry_date_by": entryDateBy,
        "appraisedby_designation": appraisedbyDesignation,
        "recommendappr_designation": recommendapprDesignation,
        "approvedby_designation": approvedbyDesignation,
      };
}
