// To parse this JSON data, do
//
//     final propertyAppraisal = propertyAppraisalFromJson(jsonString);

import 'dart:convert';

PropertyAppraisalEdit propertyAppraisalFromJson(String str) =>
    PropertyAppraisalEdit.fromJson(json.decode(str));

String propertyAppraisalToJson(PropertyAppraisalEdit data) =>
    json.encode(data.toJson());

class PropertyAppraisalEdit {
  final int? id;
  final int? bldgapprDetailsId;
  final String? unitconstructCost;
  final String? buildingCore;
  final String? unitconstructSubtotal;
  final String? depreciationRate;
  final String? depreciationCost;
  final String? costAddItems;
  final String? addItemsSubtotal;
  final String? totalpercentDepreciation;
  final String? marketValue;
  final String? totalArea;

  PropertyAppraisalEdit(
      {this.id,
      this.bldgapprDetailsId,
      this.unitconstructCost,
      this.buildingCore,
      this.unitconstructSubtotal,
      this.depreciationRate,
      this.depreciationCost,
      this.costAddItems,
      this.addItemsSubtotal,
      this.totalpercentDepreciation,
      this.marketValue,
      this.totalArea});

  factory PropertyAppraisalEdit.fromJson(Map<String, dynamic> json) =>
      PropertyAppraisalEdit(
        id: json["id"],
        bldgapprDetailsId: json["bldgappr_details_id"],
        unitconstructCost: json["unitconstruct_cost"],
        buildingCore: json["building_core"],
        unitconstructSubtotal: json["unitconstruct_subtotal"],
        depreciationRate: json["depreciation_rate"],
        depreciationCost: json["depreciation_cost"],
        costAddItems: json["cost_add_items"],
        addItemsSubtotal: json["add_items_subtotal"],
        totalpercentDepreciation: json["totalpercent_depreciation"],
        marketValue: json["market_value"],
        totalArea: json["total_area"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "bldgappr_details_id": bldgapprDetailsId,
        "unitconstruct_cost": unitconstructCost,
        "building_core": buildingCore,
        "unitconstruct_subtotal": unitconstructSubtotal,
        "depreciation_rate": depreciationRate,
        "depreciation_cost": depreciationCost,
        "cost_add_items": costAddItems,
        "add_items_subtotal": addItemsSubtotal,
        "totalpercent_depreciation": totalpercentDepreciation,
        "market_value": marketValue,
        "total_area": totalArea
      };
}
